export default {
  state: {
    loginInfo: {},
    markStr: "",
    legalPerson: "",
    kycCertiId: "",
    isHK: false
  },
  mutations: {
    setLoginInfo(state, payload) {
      state.loginInfo = Object.assign({}, state.loginInfo, payload);
    },
    setMarkStr(state, payload) {
      state.markStr = payload
    },
    setLegalPerson(state, payload) {
      state.legalPerson = payload
    },
    setKycCertiId(state, payload) {
      state.kycCertiId = payload
    },
    setIsHK(state, payload) {
      state.isHK = payload
    }
  }
}
